#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A KDE Software for Music Education
Name:           minuet
Epoch:          2
Version: 25.07.80
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://minuet.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  pkgconfig(fluidsynth)


%description
A KDE Software for Music Education.

%files -f %name.lang
%_kf6_bindir/%name
%_kf6_datadir/%name/
%_kf6_metainfodir/org.kde.minuet.metainfo.xml
%_kf6_applicationsdir/org.kde.minuet.desktop
%dir %_qt6_plugindir/minuet
%_qt6_plugindir/minuet/minuetfluidsynthsoundcontroller.so
%_kf6_iconsdir/*/*/*/*

#--------------------------------------------------------------------

%define minuetinterfaces_major 0
%define libminuetinterfaces %mklibname minuetinterfaces %{minuetinterfaces_major}

%package -n %libminuetinterfaces
Summary:        This lib manages sieve support
Group:          System/Libraries

%description -n %libminuetinterfaces
This lib manages sieve support.

%files -n %libminuetinterfaces
%_kf6_libdir/libminuetinterfaces.so.%{minuetinterfaces_major}{,.*}

#--------------------------------------------------------------------

%define libminuetinterfaces_devel %mklibname minuetinterfaces -d

%package -n %libminuetinterfaces_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libminuetinterfaces = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %libminuetinterfaces_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %libminuetinterfaces_devel
%_kf6_libdir/libminuetinterfaces.so
%_includedir/minuet/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html --all-name


%changelog
* Sun Jul 13 2025 daviddavid <daviddavid> 2:25.07.80-1.mga10
+ Revision: 2254179
- New version 25.07.80

* Thu Jun 05 2025 daviddavid <daviddavid> 2:25.04.2-1.mga10
+ Revision: 2188549
- New version 25.04.2

* Thu Apr 17 2025 daviddavid <daviddavid> 2:25.04.0-1.mga10
+ Revision: 2176115
- New version 25.04.0

* Sat Mar 29 2025 daviddavid <daviddavid> 2:25.03.90-1.mga10
+ Revision: 2170899
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 2:24.12.3-1.mga10
+ Revision: 2163609
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 2:24.12.2-1.mga10
+ Revision: 2147275
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 2:24.12.1-1.mga10
+ Revision: 2136672
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 2:24.12.0-1.mga10
+ Revision: 2123917
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 2:24.11.80-1.mga10
+ Revision: 2116469
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 2:24.08.3-1.mga10
+ Revision: 2114164
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 2:24.08.2-1.mga10
+ Revision: 2105662
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 2:24.08.1-1.mga10
+ Revision: 2097528
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 2:24.08.0-1.mga10
+ Revision: 2087720
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 2:24.07.90-1.mga10
+ Revision: 2085216
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 2:24.05.1-1.mga10
+ Revision: 2073336
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 2:24.05.0-1.mga10
+ Revision: 2069985
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 2:24.02.2-1.mga10
+ Revision: 2058730
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 2:24.02.0-1.mga10
+ Revision: 2045267
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 2:24.01.95-1.mga10
+ Revision: 2037766
- New version 24.01.95

* Fri Jan 26 2024 neoclust <neoclust> 2:24.01.90-1.mga10
+ Revision: 2034973
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 2:24.01.85-1.mga10
+ Revision: 2025265
- New version 24.01.85

* Tue Nov 21 2023 daviddavid <daviddavid> 2:24.01.75-1.mga10
+ Revision: 2008963
- New version 24.01.75
- switch to Qt6/KF6

* Sat Sep 23 2023 neoclust <neoclust> 2:23.08.1-1.mga10
+ Revision: 1989707
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1958283
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946595
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941888
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1923010
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911504
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905355
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886873
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1880859
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873172
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1854062
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1849569
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 2:21.12.0-2.mga9
+ Revision: 1846067
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1763954
- New version 21.12.0
- New version 21.11.90

* Thu Aug 05 2021 luigiwalser <luigiwalser> 2:21.04.1-2.mga9
+ Revision: 1739416
- rebuild for fluidsynth

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724165
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718446
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698653
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694180
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655704
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644085
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633905
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627144
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1615015
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604209
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596946
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1585532
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568223
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559413
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540625
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513388
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1467046
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457988
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1446498
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1425079
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390534
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387752
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1383453
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375763
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365657
- New version 18.12.2

* Tue Jan 15 2019 luigiwalser <luigiwalser> 2:18.12.1-2.mga7
+ Revision: 1357003
- rebuild for fluidsynth
+ neoclust <neoclust>
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339599
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332829
- New version 18.08.3
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1299557
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1229148
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201978
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1195000
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1186542
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143134
- New version 17.08.0

* Mon Aug 07 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1138647
- New version 17.07.90

* Wed Jul 26 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131014
- New version 17.04.3

* Fri Mar 10 2017 neoclust <neoclust> 2:16.04.3-2.mga6
+ Revision: 1091165
- Revert to version 16.04.3
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1
- New version 16.12.0
- New version 16.11.90
- New version 16.08.2
- New version 16.08.1
- New version 16.08.0

* Sun Jul 10 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1041025
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1013663
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004423
- New version 16.04.0

* Sat Apr 02 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997569
- imported package minuet

